.unset_width{
    width: auto !important;
    display: inline !important;
}

.detail_btn {
    border: solid 1px;
    background: none;
    float: inline-end;
    border-radius: 100%;
}

.detail_btn {
    border: solid 1px #c2c2d1;
    float: inline-end;
    border-radius: 100%;
    background: unset;
    color: #c2c2d1;
}

.detail_btn:hover {
    border: unset;
    float: inline-end;
    border-radius: 100%;
    background: #c2c2d1;
    color: white;
}

.detail_btn_clicked {
    border: unset;
    float: inline-end;
    border-radius: 100%;
    background: #c2c2d1;
    color: white;
}

.detail_btn_clicked:hover {
    border: solid 1px #c2c2d1;
    float: inline-end;
    border-radius: 100%;
    background: unset;
    color: #c2c2d1;
}

.no_ui {
    border: none;
    pointer-events: none;
    text-align: center;
    width: 100%;
    background-color: unset !important;
}

.no_ui_no_width {
    border: none;
    pointer-events: none;
    text-align: center;
    width: unset;
    background-color: unset;
}

.table_field_value_unit {
    border: none;
    text-align: right;
    pointer-events: none;
    padding: 5px 0px;
}

.no_ui_btn {
    padding: 0;
    height: fit-content;
}

.no_ui_btn_index {
    padding: 10px;
    height: fit-content;
    border: none;
    background-color: unset;
}

.height-fit-content {
    height: fit-content
}

.space_between_container {
    display: flex;
    justify-content: space-between;
}

.space_around_container {
    display: flex;
    justify-content: space-around;
}

.center_container {
    display: flex;
    justify-content: center;
}

.table_addrow_td {
    padding: 8px;
}

.table_addrow_tr {
    padding: 0 8px;
    font-size: 20px;
}

.norm_table {
    border: 1px solid;
    border-collapse: separate;
    border-radius: 10px;
    padding: 15px;
    width: 100%;
}

.modal-xxl-pp {
    max-width: none !important;
    width: fit-content !important;
}

.modal-full {
    max-width: none !important;
    width: 80% !important;
}

.without_click {
    pointer-events: none;
}

.my_table {
    width: 100%;
    padding: 5px;
    vertical-align: top;
    text-align: left;
}

.my_table th {
    font-size: medium;
    font-weight: bolder;
}

.my_table td {
    font-size: small;
    font-weight: bolder;
    vertical-align: top;
}

/* wizard */
/* Style the form */
#regForm {
    background-color: #ffffff;
    margin: 10px auto;
    padding: 10px;
    width: 90%;
    min-width: 300px;
}

/* Style the input fields */
input {
    padding: 10px;
    width: 100%;
    font-size: 17px;
    font-family: Raleway;
    border: 1px solid #aaaaaa;
}

/* Mark input boxes that gets an error on validation: */
input.invalid {
    background-color: #ffdddd;
}

/* Hide all steps by default: */
.tab {
    display: none;
}

/* Make circles that indicate the steps of the form: */
.step {
    height: 35px;
    width: 35px;
    margin: 0 2px;
    background-color: #bbbbbb;
    border: none;
    border-radius: 50%;
    display: inline-block;
    z-index: 1;
}

/* Mark the active step: */
.step.active {
    background-color: #4549a2;
    z-index: 1;
}

/* Mark the steps that are finished and valid: */
.step.finish {
    background-color: #04AA6D;
}

/* end wizard */

/* .card > .norm_table {
    border: 1px solid;
    border-collapse: separate;
    border-radius: 10px;
    padding: 15px;
    width: 100%;
} */

.norm_table tr:nth-child(even) {
    background-color: #f2f2f2;
}

.norm_table th {
    padding: 8px;
    text-align: left;
    border-bottom: 1px solid #ddd;
    min-width: fit-content;
    white-space: nowrap;
}

.norm_table th {
    padding: 15px;
}

.norm_table td {
    padding: 15px;
}

.my_inputfield {
    width: 100%;
    height: 100%;
    border: none;
    border-bottom: 0.125rem solid;
    padding: 5px;
}

/* .norm_table th {
    border: 1px solid;
    border-spacing: 0px;
    padding: 15px;
}

.norm_table td {
    border: 1px solid;
    border-spacing: 0px;
    padding: 15px;
} */
.padding-5 {
    padding: 5px;
}

.refreshOpacity {
    animation: spin 2000ms infinite linear;
}

.halfOpacity {
    opacity: 0.5;
}

.card-preview {
    z-index: 1;
    display: flex;
}

.card-title__title1 {
    color: white;
    font-size: 1.5rem;
    font-weight: 600;
    white-space: nowrap;
}

.card-preview:after {
    content: "";
    width: 2px;
    height: 20%;
    background: #9251ac;
    position: absolute;
    top: 100%;
    left: 3.5rem;
    z-index: 0;
}

.card-preview:last-child:after {
    content: none;
}

.card-content__title {
    font-size: 1.2rem;
    line-height: 1.4;
    text-transform: uppercase;
    font-weight: 600;
    color: #9251ac;
    letter-spacing: 1.5px;
}

.card-content__content {
    padding: 0px 20px;
}

tr.group,
tr.group:hover {
    background-color: #ddd !important;
}

.vertically_center_container {
    /* Set the height of the container */
    display: flex;
    /* Use flexbox */
    align-items: center;
    /* Vertically center align */
}

.div_x_scroll {
    border-bottom: unset;
    border-top: unset;
    overflow-x: auto;
}

.div_x_scroll_for_table {
    border: none !important;
    border-radius: unset!important;
    overflow-x: auto;
}

.btn_in_add_col_with_multi_col {
    width: 15%;
    min-width: fit-content;
    margin: 0 auto 0 auto;
}

.no_icon_accordion::after{
    background-image: none !important;
}

.modal-body{
    overflow-x: auto;
}

@media print {

    table.information td,
    table.information th,
    table.company td,
    table.company th,
    table.quotation td,
    table.quotation th,
    table.customer td,
    table.customer th {
        padding: 0.1px;
        border-style: hidden;
    }

    /* .noBreak {
        break-inside: avoid;
    }

    .print {
        border: none !important;
        width: auto;
    } */
}

@keyframes spin {
    from {
        transform: rotate(0deg)
    }

    to {
        transform: rotate(360deg)
    }
}